## openmrac-data 1.1

=== Makefile ===
TARGET = openmrac.dat
INSTALLDIR = /usr/share/openmrac/

.PHONY: all clean install uninstall

all: $(TARGET)

$(TARGET): *.jpg *.png *.3dm *.3mt *.cmo *.def *.wav
	ls *.wav | sed 's/.wav$$//g' > wavlist.txt
	while read line; do rm -f $$line.raw; sox $$line.wav --bits 16 $$line.raw; done < wavlist.txt
	ls *.jpg *.png *.3dm *.3mt *.cmo *.def *.raw > filelist.txt
	rm -f $(TARGET)
	while read line; do tar --owner=root:0 --group=root:0 --mtime='UTC 1970-01-01 00:00:00' -rvf $(TARGET) $$line; done < filelist.txt
	sha1sum $(TARGET) > $(TARGET).sha1sum

clean:
	rm -f *.raw
	rm -f $(TARGET)
	rm -f $(TARGET).sha1sum
	rm -f wavlist.txt
	rm -f filelist.txt

install: $(TARGET) uninstall
	sudo mkdir $(INSTALLDIR)
	sudo cp $(TARGET) $(INSTALLDIR)$(TARGET)

uninstall:
	sudo rm -rf $(INSTALLDIR)

=== debian/changelog ===
openmrac-data (1.1-5) unstable; urgency=medium

  * debian/patches/010_reproducible-build.patch: updated to fix FTBR reported on
    Salsa.

 -- David da Silva Polverari <polverari@debian.org>  Thu, 25 Apr 2024 01:04:55 +0000

openmrac-data (1.1-4) unstable; urgency=medium

  * debian/control: updated Standards-Version to 4.7.0.
  * debian/copyright: updated packaging copyright years.
  * debian/gbp.conf: created to make git repository compliant with DEP-14 layout
    recommendations and enforce the use of pristine-tar.
  * debian/patches/010_reproducible-build.patch: updated patch metadata.

 -- David da Silva Polverari <polverari@debian.org>  Tue, 23 Apr 2024 18:04:56 +0000

openmrac-data (1.1-3) unstable; urgency=medium

  * debian/patches/010_reproducible-build.patch: added to make the build
    reproducible. Thanks to Chris Lamb <lamby@debian.org>. (Closes: #1056573)

 -- David da Silva Polverari <polverari@debian.org>  Thu, 23 Nov 2023 13:34:19 +0000

openmrac-data (1.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- David da Silva Polverari <polverari@debian.org>  Wed, 08 Nov 2023 21:32:08 -0300

openmrac-data (1.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1055261)

 -- David da Silva Polverari <polverari@debian.org>  Fri, 03 Nov 2023 05:22:54 -0300

=== debian/control ===
Source: openmrac-data
Section: games
Priority: optional
Maintainer: David da Silva Polverari <polverari@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), sox
Standards-Version: 4.7.0
Homepage: https://www.franticware.com/openmrac
Vcs-Browser: https://salsa.debian.org/debian/openmrac-data
Vcs-Git: https://salsa.debian.org/debian/openmrac-data.git

Package: openmrac-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: openmrac
Description: split-screen multiplayer 3D racing game (data files)
 OpenMRac is an open-source release of FranticWare's MultiRacer. It is a
 multiplayer racing game that runs on Linux and Microsoft Windows.
 .
 It can be played in single player mode, running against oneself's "ghost" from
 previous lap, or in multi-player mode, in a vertical split screen against up
 to 3 other opponents.
 .
 OpenMRac is simpler than TORCS, although it offers better model reflections
 than the latter.
 .
 This package contains the data files for openmrac.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

# avoid upstream Makefile install target,
# as it requires root
override_dh_auto_install:
